POST api/OneOffMessages

Send communication.

Request Information

URI Parameters

None.

Body Parameters

OneOffMessageModel
NameDescriptionTypeAdditional information
Method

Indicates the method (Required).

string

None.

LocationExternalId

Location's unique ID on integrating system belonging to the patient communication (Required).

string

None.

PatientExternalId

Patient's unique ID on integrating system belonging to the patient communication (Required).

string

None.

From

Indicates the source of the patient communication (Required).

string

None.

To

Indicates the target of the patient communication (Required).

string

None.

MessageSubject

Indicates the message subject of the patient communication.

string

None.

MessageBody

Indicates the message body of the patient communication (Required).

string

None.

Request Formats

application/json, text/json

Sample:
{
  "method": "sample string 1",
  "locationExternalId": "sample string 2",
  "patientExternalId": "sample string 3",
  "from": "sample string 4",
  "to": "sample string 5",
  "messageSubject": "sample string 6",
  "messageBody": "sample string 7"
}

application/xml, text/xml

Sample:
<OneOffMessageModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models.PatientCommunications">
  <From>sample string 4</From>
  <LocationExternalId>sample string 2</LocationExternalId>
  <MessageBody>sample string 7</MessageBody>
  <MessageSubject>sample string 6</MessageSubject>
  <Method>sample string 1</Method>
  <PatientExternalId>sample string 3</PatientExternalId>
  <To>sample string 5</To>
</OneOffMessageModel>

application/x-www-form-urlencoded

Sample:

Failed to generate the sample for media type 'application/x-www-form-urlencoded'. Cannot use formatter 'JQueryMvcFormUrlEncodedFormatter' to write type 'OneOffMessageModel'.

Response Information

Resource Description

OneOffMessageResponseModel
NameDescriptionTypeAdditional information
PatientCommunicationId

Patient communication's unique ID in our system.

globally unique identifier

None.

Success

Indicates whether the patient communication was success or not.

boolean

None.

Response Formats

application/json, text/json

Sample:
{
  "patientCommunicationId": "d3e26757-dc05-4ca0-bc05-93a6944b89f7",
  "success": true
}

application/xml, text/xml

Sample:
<OneOffMessageResponseModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models.PatientCommunications">
  <PatientCommunicationId>d3e26757-dc05-4ca0-bc05-93a6944b89f7</PatientCommunicationId>
  <Success>true</Success>
</OneOffMessageResponseModel>